API Documentation
Live v1.0
Introduction
The Horus Control Plane API is a RESTful interface providing programmatic access to deploy, monitor, and scale your GPU-accelerated instances across our global edge nodes. All API requests must be uniformly authenticated and served over TLS v1.3.
Base Endpoint
https://api.horustek.pro/v1/Production
Example Specification: Provision Node
POST/v1/instances/provision
curl -X POST https://api.horustek.pro/v1/instances/provision \
-H "Authorization: Bearer hr_live_xxxxx" \
-H "Content-Type: application/json" \
-d '{
"engine": "vLLM",
"model": "meta-llama/Llama-3-70b-instruct",
"gpu_tier": "RTX_5090",
"gpus": 2
}'
